#pragma once
#include "Entity.h"
#define CS_LIGHTNINGSTRIKE_CREATENAME L"CS_lightningstrike"
//À×»÷
class CS_LightningStrike :
    public Entity
{
public:
    CS_LightningStrike();
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
    int damage = 0;
};

std::shared_ptr<Entity> CreateCS_LightningStrike();